#ifndef SECTORPARAMETERS_SEEN
#define SECTORPARAMETERS_SEEN

#include <string>
#include <iostream>
#include "UAP/UAPNode.hpp"

using namespace std;

typedef pair<string, vector<string> > statements;

class sector;

class sectorParameters  
{
  string geometry_;
  vector<statements> sectorsStatements_;

 public :
  
  sectorParameters(sector*);
  ~sectorParameters() {;}
  
  void raz();
  string FileOutputFlow() const;
  void FileInput(ifstream&);
  void InputRep(UAPNode* root);

  void setSectors(const vector<statements>&);
  vector<statements> getSectors() const;
  sector* sector_;
};
#endif
